Package org.apache.commons.lang3.text.translate

# Class JavaUnicodeEscaper

java.lang.Object
org.apache.commons.lang3.text.translate.CharSequenceTranslator
org.apache.commons.lang3.text.translate.CodePointTranslator
org.apache.commons.lang3.text.translate.UnicodeEscaper
org.apache.commons.lang3.text.translate.JavaUnicodeEscaper

@Deprecated public class JavaUnicodeEscaper extends UnicodeEscaper
Deprecated.
As of 3.6, use Apache Commons Text UnicodeEscaper instead
Translates code points to their Unicode escaped value suitable for Java source.

Since:
  3.2

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JavaUnicodeEscaper(int below, int above, boolean between)`
  Deprecated.
  Constructs a `JavaUnicodeEscaper` for the specified range.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static JavaUnicodeEscaper`
  `above(int codePoint)`
  Deprecated.
  Constructs a `JavaUnicodeEscaper` above the specified value (exclusive).
  `static JavaUnicodeEscaper`
  `below(int codePoint)`
  Deprecated.
  Constructs a `JavaUnicodeEscaper` below the specified value (exclusive).
  `static JavaUnicodeEscaper`
  `between(int codePointLow, int codePointHigh)`
  Deprecated.
  Constructs a `JavaUnicodeEscaper` between the specified values (inclusive).
  `static JavaUnicodeEscaper`
  `outsideOf(int codePointLow, int codePointHigh)`
  Deprecated.
  Constructs a `JavaUnicodeEscaper` outside of the specified values (exclusive).
  `protected String`
  `toUtf16Escape(int codePoint)`
  Deprecated.
  Converts the given code point to a hexadecimal string of the form `"\\uXXXX\\uXXXX"`

  ### Methods inherited from class org.apache.commons.lang3.text.translate.UnicodeEscaper

  `translate`

  ### Methods inherited from class org.apache.commons.lang3.text.translate.CodePointTranslator

  `translate`

  ### Methods inherited from class org.apache.commons.lang3.text.translate.CharSequenceTranslator

  `hex, translate, translate, with`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JavaUnicodeEscaper

    public JavaUnicodeEscaper(int below, int above, boolean between)
    Deprecated.
    Constructs a `JavaUnicodeEscaper` for the specified range. This is the underlying method for the other constructors/builders. The `below` and `above` boundaries are inclusive when `between` is `true` and exclusive when it is `false`.
    Parameters:
      `below` - int value representing the lowest code point boundary
      `above` - int value representing the highest code point boundary
      `between` - whether to escape between the boundaries or outside them

- ## Method Details

  - ### above

    public static JavaUnicodeEscaper above(int codePoint)
    Deprecated.
    Constructs a `JavaUnicodeEscaper` above the specified value (exclusive).
    Parameters:
      `codePoint` - above which to escape
    Returns:
      the newly created `UnicodeEscaper` instance

  - ### below

    public static JavaUnicodeEscaper below(int codePoint)
    Deprecated.
    Constructs a `JavaUnicodeEscaper` below the specified value (exclusive).
    Parameters:
      `codePoint` - below which to escape
    Returns:
      the newly created `UnicodeEscaper` instance

  - ### between

    public static JavaUnicodeEscaper between(int codePointLow, int codePointHigh)
    Deprecated.
    Constructs a `JavaUnicodeEscaper` between the specified values (inclusive).
    Parameters:
      `codePointLow` - above which to escape
      `codePointHigh` - below which to escape
    Returns:
      the newly created `UnicodeEscaper` instance

  - ### outsideOf

    public static JavaUnicodeEscaper outsideOf(int codePointLow, int codePointHigh)
    Deprecated.
    Constructs a `JavaUnicodeEscaper` outside of the specified values (exclusive).
    Parameters:
      `codePointLow` - below which to escape
      `codePointHigh` - above which to escape
    Returns:
      the newly created `UnicodeEscaper` instance

  - ### toUtf16Escape

    protected String toUtf16Escape(int codePoint)
    Deprecated.
    Converts the given code point to a hexadecimal string of the form `"\\uXXXX\\uXXXX"`
    Overrides:
      `toUtf16Escape` in class `UnicodeEscaper`
    Parameters:
      `codePoint` - a Unicode code point
    Returns:
      the hexadecimal string for the given code point